package mschmidt.komo.preferences;
/*
 * Constant definitions for plug-in preferences
 */

public class PreferenceConstants {

	/**
	 * Database Connection Settings Preference Page variables.
	 */
	public static final String DB_NAME = "dbNamePreference";
	
	public static final String DB_PASSWORD = "passwordPreference";
	
	public static final String DB_PORT = "portPreference";
	
	public static final String DB_SSL = "sslPreference";

	public static final String DB_STORE_PW = "storePasswordPreference";
	
	public static final String DB_URL = "urlPreference";
	
	public static final String DB_USER = "userPreference";
	
	public static final String JDBC_PATH = "jdbcPreference";
	
	/**
	 * A hidden preference used to determine if welcome screen is shown.
	 */
	
	public static final String SHOW_INTRO = "showIntroPreference";
	

	/**
	 * General Preference Page variables.
	 */
	public static final String TO_TRAY = "minimizeToTrayPreference";
	
	public static final String CONFIRM_EXIT = "confirmExitPreference";
	
}
